import { FormM2MFieldWidget } from '../../../../basic';
export declare abstract class FormM2MFieldUploadBaseWidget extends FormM2MFieldWidget {
    initialize(config: any): this;
    protected get limit(): any;
    protected get limitSize(): any;
    protected get allLimitSize(): any;
    protected get multiple(): boolean;
    protected get partSize(): any;
    protected get chunkUploadThreshold(): any;
    protected get parallel(): any;
    protected get limitFileExtensions(): any;
    change(data: any): void;
    private remove;
}
